GET
https://api.cryptohopper.com/v1/hopper/{id}/reserved/{reserved_id}
Returns one reserved position of the hopper.
OAuth scope:
read About scopes
base is the pair without the coin, so the quote currency. When the reserved position does not exist, the call does not return an error but data {"base": ""}. Not available for exchange arbitrage, market maker, copy and grid bots.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/RESERVED_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/RESERVED_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/RESERVED_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/RESERVED_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
reserved_id |
string | Required | Reserved position ID. |
Response
{
"data": {
"id": "55501",
"exchange": "binance",
"pair": "ETHUSDT",
"amount": "0.25",
"rate": "3120.45",
"val": "780.1125",
"btc": "0",
"buy_time": "1758790000",
"currency": "ETH",
"base": "USDT"
}
}